Name:           rdesktop
Version:        1.8.3
Release:        1
Summary:        X client for remote desktop into Windows Terminal Server
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.rdesktop.org/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libao
BuildRequires:  libiconv >= 1.14-2
BuildRequires:  libXrandr-devel >= 1.1.2
BuildRequires:  libsamplerate-devel >= 0.1.8
BuildRequires:  make
BuildRequires:  openssl-devel >= 1.0.1j-1
Requires:       libao
Requires:       libiconv >= 1.14-2
Requires:       libXrandr >= 1.1.2
Requires:       libsamplerate >= 0.1.8
Requires:       openssl >= 1.0.1j-1

%description
rdesktop is an open source client for Windows NT Terminal Server and
Windows 2000 & 2003 Terminal Services, capable of natively speaking 
Remote Desktop Protocol (RDP) in order to present the user's NT
desktop. Unlike Citrix ICA, no server extensions are required.


%prep
%setup -q


%build
# The "_LINUX_SOURCE_COMPAT" compile flag MUST be used as otherwise 'xmalloc(0)'
# will crash rdesktop as AIX behaves differently with a malloc(0) than Linux!
# taken from:
# http://publib.boulder.ibm.com/infocenter/aix/v6r1/index.jsp?topic=%2Fcom.ibm.aix.basetechref%2Fdoc%2Fbasetrf1%2Fmalloc.htm

export CC="cc_r -qcpluscmt -D_LINUX_SOURCE_COMPAT"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-credssp \
    --disable-smartcard \
    --with-ipv6 \
    --with-openssl=%{_prefix}
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING README
%doc doc/AUTHORS doc/ChangeLog doc/HACKING doc/TODO doc/*.txt
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 1.8.3-1
- updated to version 1.8.3

* Thu Oct 30 2014 Michael Perzl <michael@perzl.org> - 1.8.2-2
- added missing dependency on libsamplerate

* Thu May 22 2014 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Wed Nov 20 2013 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Mon Aug 12 2013 Michael Perzl <michael@perzl.org> - 1.8.0-1
- updated to version 1.8.0

* Mon Mar 05 2012 Michael Perzl <michael@perzl.org> - 1.7.1-2
- fixed 'xmalloc(0)' issue on AIX

* Fri Jan 13 2012 Michael Perzl <michael@perzl.org> - 1.7.1-1
- updated to version 1.7.1

* Mon Apr 18 2011 Michael Perzl <michael@perzl.org> - 1.7.0-1
- updated to version 1.7.0

* Mon Sep 22 2008 Michael Perzl <michael@perzl.org> - 1.6.0-1
- first version for AIX V5.1 and higher
